Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class ChartPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.chart.yui.ChartPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

Direct Known Subclasses:
  CartesianChart

    public abstract class ChartPanel

extends Panel

Base class for YUI based Charts. You must inherit the module

    <inherits name="com.gwtext.Charts"/>

in your module file in order to use this functionality.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `chartConfig`
`protected com.google.gwt.core.client.JavaScriptObject` | `chartJS`
`protected boolean` | `chartRendered`
`protected Store` | `store`

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`protected` | `ChartPanel()`

Method Summary
`void` | `afterRender()` Template method that is called after the Component has been renedered.
`protected abstract com.google.gwt.core.client.JavaScriptObject` | `createChart(java.lang.String containerID, com.google.gwt.core.client.JavaScriptObject dataStore, com.google.gwt.core.client.JavaScriptObject config)`
`java.lang.String` | `getChartName()` The chart name.
`void` | `refresh()` Refresh the charts dispaly based on the datasource.
`void` | `setBackgroundColor(java.lang.String backgroundColor)` The background color of the SWF.
`void` | `setCategoryNames(java.lang.String[] categoryNames)` The names of the categories to be displayed in the Chart.
`void` | `setChartStyle(java.lang.String name, java.lang.String value)`
`void` | `setDataTipFunction(java.lang.String dataTipFunction)` The string representation of a globally-accessible function that may be called by the SWF to generate the datatip text for a Chart's item.
`void` | `setExpressInstall(java.lang.String url)` URL pointing to a SWF file that handles Flash Player's express install feature.
`void` | `setPollingInterval(int pollingInterval)` A numeric value indicating the number of milliseconds between polling requests to the DataSource.
`void` | `setSeries(SeriesDef[] series)` Defines the series to be displayed by the Chart.
`void` | `setStore(Store store)` Set the datastore for the chart.
`void` | `setVersion(java.lang.String version)` Minimum required version for the SWF file.
`void` | `setWMode(java.lang.String wmode)` Sets the window mode of the Flash Player control.

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, create, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getConfigPrototype, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, getXType, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBaseCls, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setClosable, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setDraggable, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadow, setShadow, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setLayout, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, hide, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### chartJS

    protected com.google.gwt.core.client.JavaScriptObject chartJS

### chartConfig

    protected com.google.gwt.core.client.JavaScriptObject chartConfig

### chartRendered

    protected boolean chartRendered

### store

    protected Store store

Constructor Detail

### ChartPanel

    protected ChartPanel()

Method Detail

### afterRender

    public void afterRender()

  Description copied from class: `Component`
  Template method that is called after the Component has been renedered.

  Overrides:
    `afterRender` in class `Component`

### createChart

    protected abstract com.google.gwt.core.client.JavaScriptObject createChart(java.lang.String containerID,
                                                                               com.google.gwt.core.client.JavaScriptObject dataStore,
                                                                               com.google.gwt.core.client.JavaScriptObject config)

### setChartStyle

    public void setChartStyle(java.lang.String name,
                              java.lang.String value)

### setStore

    public void setStore(Store store)

  Set the datastore for the chart.

  Parameters:
    `store` - the store

### getChartName

    public java.lang.String getChartName()

  The chart name.

  Returns:
    the chart name

### setCategoryNames

    public void setCategoryNames(java.lang.String[] categoryNames)

  The names of the categories to be displayed in the Chart.

  Parameters:
    `categoryNames` - the names of the categories to be displayed in the Chart.

### setBackgroundColor

    public void setBackgroundColor(java.lang.String backgroundColor)
                            throws java.lang.IllegalStateException

  The background color of the SWF.

  Parameters:
    `backgroundColor` - the background color of the SWF.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setExpressInstall

    public void setExpressInstall(java.lang.String url)
                           throws java.lang.IllegalStateException

  URL pointing to a SWF file that handles Flash Player's express install feature.

  Parameters:
    `url` - URL pointing to a SWF file that handles Flash Player's express install feature.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setVersion

    public void setVersion(java.lang.String version)
                    throws java.lang.IllegalStateException

  Minimum required version for the SWF file.

  Parameters:
    `version` - minimum required version for the SWF file.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setWMode

    public void setWMode(java.lang.String wmode)
                  throws java.lang.IllegalStateException

  Sets the window mode of the Flash Player control. May be "window", "opaque", or "transparent".

  Parameters:
    `wmode` - sets the window mode of the Flash Player control. May be "window", "opaque", or "transparent".
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDataTipFunction

    public void setDataTipFunction(java.lang.String dataTipFunction)
                            throws java.lang.IllegalStateException

  The string representation of a globally-accessible function that may be called by the SWF to generate the datatip text for a Chart's item.

  Parameters:
    `dataTipFunction` - the data tip function
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setPollingInterval

    public void setPollingInterval(int pollingInterval)
                            throws java.lang.IllegalStateException

  A numeric value indicating the number of milliseconds between polling requests to the DataSource.

  Parameters:
    `pollingInterval` - polling interval
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setSeries

    public void setSeries(SeriesDef[] series)

  Defines the series to be displayed by the Chart.

  Parameters:
    `series` - the series to be displayed by the Chart.

### refresh

    public void refresh()

  Refresh the charts dispaly based on the datasource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD